import { propHelper } from '../helpers';
export class LottieConfigCreator {
    createWithSrc(container, src, autoplay, loop) {
        return {
            container,
            renderer: 'svg',
            loop: propHelper.strToBool(loop),
            autoplay: propHelper.strToBool(autoplay),
            path: src || '',
        };
    }
    createWithData(container, data, autoplay, loop) {
        return {
            container,
            renderer: 'svg',
            loop: propHelper.strToBool(loop),
            autoplay: propHelper.strToBool(autoplay),
            animationData: propHelper.strToObj(data),
        };
    }
}
